const express = require('express');
const {
	createEvent,
	getAllEvents,
	getEvent,
	updateEvent,
	deleteEvent,
} = require('../../controllers/super-admin/events');
const {
	getAllEventRegistrations,
	getEventRegistration,
	// updateRegistrationStatus,
	// deleteEventRegistration,
} = require('../../controllers/super-admin/event-registrations');

const router = express.Router();

router.get('/registrations', getAllEventRegistrations);
router.get('/registrations/:id', getEventRegistration);

router.get('/', getAllEvents);
router.get('/:id', getEvent);

router.post('/', createEvent);

router.put('/:id', updateEvent);

router.delete('/:id', deleteEvent);

module.exports = router;
